Key Benefits
- Expanded inventory with real-time rates and availability
- Increased conversion potential with broader product selection
- Single-point integration with seamless response aggregation
- Optimized search performance through intelligent source orchestration
RatePlanToken API
To retrieve new products, our RateplanToken API needs to be used, this site shows all the details.Purpose
The updated API will:- Retrieve all our products, directly contracted and dynamic supply via a RatePlanToken.
- Change the authentication system, moving from in-message User and Password to API Key authentication.
TEST Environment
In order to develop and test the integration, our TEST/Integration Environment will be used. This environment uses the following URL: Test URL:https://api-int.axisdata.net
Authentication
The Authentication for this API consists of an API Key. This key needs to be sent at the header of the https requests.
For all requests you have to send these Parameters in the header:
- Accept:
application/xml - Content-Type:
application/xml - Key:
Authorization - Value:
*The value of the token*
jlEVcyDCEXYnmFOkGZ057NbMX7rpVRdoPKAswaVYS24
PRODUCTION Environment
Once you have been successfully tested and certified in our INTEGRATION environment, our integration team coordinates the go-live. The API Key in the Production environment will be provided by our Integration Managers. The rest of the authorization data is the same as for the TEST environment.Important: Never share credentials unless requested by an Integration Manager. Use encrypted email for passwords.
- Production URL:
https://api.axisdata.net
Our partners must provide their external IPs to be whitelisted on our side. Once this step is done you’re ready to go live. Test the connectivity to the server by using this command:
curl https://api.axisdata.net
Or using the OTA_PingRQ described below.
Endpoints
This API will be based on REST, so different endpoints will be used for each message.- OTA_Ping:
/ping - OTA_HotelDescriptiveInfo List:
/hotel/list - OTA_HotelDescriptiveInfo Single Hotel:
/hotel/nbc - OTA_HotelAvailRQ:
/hotel/search - OTA_HotelResRQ Quote:
/hotel/quote - OTA_HotelResRQ Commit:
/hotel/book
Checking Connectivity
UseOTA_PingRQ to verify connectivity.

